> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Asociar o desvincular un archivo canónico sin copiarlo



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/tickets/{ticketId}/files/link-attempts
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{ticketId}/files/link-attempts:
    post:
      tags:
        - Ticket files
      summary: Asociar o desvincular un archivo canónico sin copiarlo
      operationId: TicketFileLinksController_execute
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TicketFileLinkDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketFileLinkReceiptDto'
components:
  schemas:
    TicketFileLinkDto:
      type: object
      properties:
        fileId:
          type: string
          format: uuid
        linked:
          type: boolean
        expected_version:
          type: integer
          minimum: 1
          maximum: 2147483647
      required:
        - fileId
        - linked
        - expected_version
    TicketFileLinkReceiptDto:
      type: object
      properties:
        ticketId:
          type: string
          format: uuid
        fileId:
          type: string
          format: uuid
        linked:
          type: boolean
        version:
          type: integer
      required:
        - ticketId
        - fileId
        - linked
        - version

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.